IBM Support

db2 migration from older version fails with SQL2514N error during restore operation.

Question & Answer


Question

While migrating the db2 databases from older version to newer version using the off line restore command fails with SQL2514N error. Why?

Cause

The version of db2 that you are trying to migrate is more than 2 levels down. i.e. You are trying to migrate a v9.1 db to v10.1 or v9.1/v9.5 db to v10.5 versions which are NOT compatible and NOT supported.

Answer

Temporarily migrate the db to supported db2 levels of v9.5 or v9.7 first and then upgrade to the desired level of db2.

[{"Product":{"code":"SSEPGG","label":"DB2 for Linux- UNIX and Windows"},"Business Unit":{"code":"BU001","label":"Analytics Private Cloud"},"Component":"Routines (SP & UDF) - SQL","Platform":[{"code":"PF002","label":"AIX"},{"code":"PF027","label":"Solaris"},{"code":"PF033","label":"Windows"}],"Version":"9.8;9.7;9.5;9.1;8.2;10.1;7.2;10.5","Edition":"Advanced;Enterprise;Workgroup"}]

Document Information

Modified date:
16 June 2018

UID

swg21661305